package com.ruoyi.frequency.hosearch.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.controller.req.HotSearchListReq;
import com.ruoyi.frequency.hosearch.entity.HotSearch;
import org.apache.ibatis.annotations.Param;

/**
 * 热门搜索记录Mapper接口
 * 
 * @author liwenlong
 * @date 2024-03-19
 */
public interface HotSearchMapper  extends BaseMapper<HotSearch>
{
    /**
     * 查询热门搜索记录
     * 
     * @param id 热门搜索记录主键
     * @return 热门搜索记录
     */
    public HotSearch selectHotSearchById(Long id);

    /**
     * 查询热门搜索记录列表
     * 
     * @param hotSearch 热门搜索记录
     * @return 热门搜索记录集合
     */
    public List<HotSearch> selectHotSearchList(HotSearch hotSearch);

    /**
     * 新增热门搜索记录
     * 
     * @param hotSearch 热门搜索记录
     * @return 结果
     */
    public int insertHotSearch(HotSearch hotSearch);

    /**
     * 修改热门搜索记录
     * 
     * @param hotSearch 热门搜索记录
     * @return 结果
     */
    public int updateHotSearch(HotSearch hotSearch);

    List<HotSearch> hotSearchList(@Param("req") HotSearchListReq req);

    void addHotSearch(@Param("item") HotSearch hotSearch, @Param("isSuccess") Boolean isSuccess);
}
